const Schema = require('als-schema')
const {optional,number,string,list} = Schema

const optionsSchema = new Schema({
   charset: [optional,string(1,50)],
   maxAge: [optional,number(1,Infinity,3600)],
   public: [optional,list(['public','private'],'public')],
   etag: [true,Boolean],
   download: [false,Boolean],
   noCache: [false,Boolean],
   noStore: [false,Boolean],
})

module.exports = optionsSchema